summaryrefslogtreecommitdiff
path: root/tests/tests/gdr-import-dgitview
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/gdr-import-dgitview')
-rwxr-xr-xtests/tests/gdr-import-dgitview25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/tests/gdr-import-dgitview b/tests/tests/gdr-import-dgitview
new file mode 100755
index 0000000..84fc50c
--- /dev/null
+++ b/tests/tests/gdr-import-dgitview
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-gdr
+
+t-dependencies GDR
+
+t-tstunt-parsechangelog
+
+t-archive example 1.0-1
+t-git-none
+
+t-dgit clone $p
+
+cd $p
+
+t-git-debrebase status
+
+t-expect-fail E:'bare dgit dsc import' \
+t-git-debrebase
+
+LC_MESSAGES=C t-git-debrebase status |tee ../bare-output
+grep 'bare dgit dsc import with no prior history' ../bare-output
+
+t-ok